#
# Copyright:: Copyright (c) 2017 GitLab Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

name 'pgbouncer'
default_version '1.18.0'

license 'ISC'
license_file 'COPYRIGHT'

skip_transitive_dependency_licensing true

dependency 'libevent'
dependency 'openssl' unless Build::Check.use_system_ssl?

version '1.18.0' do
  source sha256: '9349c9e59f6f88156354f4f6af27cdb014a235b00ae184cbaa37688bd0df544c'
end

source url: "https://www.pgbouncer.org/downloads/files/#{version}/pgbouncer-#{version}.tar.gz"

relative_path "pgbouncer-#{version}"

build do
  env = with_standard_compiler_flags(with_embedded_path)

  prefix = "#{install_dir}/embedded"

  configure_command = ["./configure", "--prefix=#{prefix}", "--with-libevent=#{prefix}"]
  configure_command << "--with-openssl=#{prefix}" unless Build::Check.use_system_ssl?

  command configure_command.join(' '), env: env

  make "-j #{workers}", env: env
  make 'install', env: env
end
